Page MenuHomePhabricator

Add 'error' icon to 'alerts' icon pack
Closed, ResolvedPublic

Description

'error' icon has been identified in M241 as useful addition to clearer separate error from warning messages.

Let's add it to 'alerts' pack.

Details

Related Gerrit Patches:

Event Timeline

Volker_E created this task.Apr 1 2019, 6:42 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptApr 1 2019, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 500532 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'error' icon to 'alerts' pack

https://gerrit.wikimedia.org/r/500532

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 1 2019, 8:19 PM

What's happening to 'notice'? We will now have three framed exclamation mark icons (circle, triangle, octagon)

notice is going to be deprecated, both message and icon, see T218236

Change 500532 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'error' icon to 'alerts' pack

https://gerrit.wikimedia.org/r/500532

Schnark added a subscriber: Schnark.Apr 3 2019, 8:45 AM

notice is going to be deprecated, both message and icon, see T218236

In T218236 I don't see any discussion about whether to deprecate the icon as well. Since the icon is used in some other places (comment node/inspector/tool in VE and perhaps other), this needs more discussion and a reasonable alternative icon.

Thanks @Schnark, I agree when looking through code. The main reason for thinking deprecating the icon would be wishful was, that 'alerts' pack is one of the packs which would be loaded on every page once T139779 is done and as long as T160690 is not resolved. We need to keep 'alerts' pack small.
But we should consider instead moving 'notice' out, best possibly to 'interactions' pack.

Change 501429 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.31.3

https://gerrit.wikimedia.org/r/501429

Volker_E moved this task from Reviewing to OOUI-0.31.3 on the OOUI board.Apr 4 2019, 9:49 PM
Volker_E edited projects, added OOUI (OOUI-0.31.3); removed OOUI.

Change 501429 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.3

https://gerrit.wikimedia.org/r/501429

Volker_E closed this task as Resolved.Apr 6 2019, 2:25 AM
Volker_E triaged this task as Medium priority.
Volker_E removed a project: Patch-For-Review.

Can this be also added in commons?

But this file has margins around the edges, and I'm not sure that it is good.